# Agregando volumen con NFS

## Agrega soporte en el host para NFS

```bash
sudo apt update
sudo apt install nfs-common -y
microk8s enable dns
```

## Crea un PV y un PVC

Usa como base [02-pv-pvc.yaml](../infrastructure/02-pv-pvc.yaml).

## Usa el PVC en algún pod o deployment

```yaml
apiVersion: v1
kind: Pod
metadata:
  name: nfs-test-pod
spec:
  containers:
  - name: app
    image: busybox
    command: ["sleep", "3600"]
    volumeMounts:
    - mountPath: "/mnt/data"
      name: nfs-vol
  volumes:
  - name: nfs-vol
    persistentVolumeClaim:
      claimName: pvc-nfs-synology
```
