# Configuración de Servidor (API) y Cliente de kubectl

## Agregar Nombre Alternativo de Sujeto (SAN) al Certificado del Servidor API

```bash
sudo vim /var/snap/microk8s/current/certs/csr.conf.template
# Edita la sección [ alt_names ] y agrega tu nombre de host.

sudo microk8s refresh-certs --cert server.crt
sudo openssl x509 -in /var/snap/microk8s/current/certs/server.crt -noout -text | grep -A1 "Subject Alternative Name"
sudo microk8s stop
sudo microk8s start
```

## Configuración para Acceso Externo

```bash
# Configura tu Servidor Proxy (Ej. Nginx en Synology)
sudo microk8s kubectl create serviceaccount proxy-user -n kube-system
sudo microk8s kubectl create clusterrolebinding proxy-admin-binding --clusterrole=cluster-admin --serviceaccount=kube-system:proxy-user
sudo microk8s kubectl create token proxy-user -n kube-system --duration=876000h
```

## Configuración del Cliente `kubectl`

```yaml
# Modifica el archivo ~/.kube/config para usar el token y el servidor proxy.
users:
- name: microk8s-user
  user:
    token: "AQUI_VA_EL_TOKEN_COPIADO_DEL_PASO_7.2.2"
```
